Subject: Re: 23.0.92; Bug in Directory Variables

From: Chong Yidong <[email-masked]>
Date: Thu, 09 Apr 2009 11:20:13 -0400

Stefan Monnier <[email-masked]> writes:

> - We don't know that the (float-time) is in sync with the filesystem's
>   time, so the check may not work right.  Better check the file's
>   current mtime against the file's mtime when it was last read.

Yes, good point.

> - the variable you changed could previously be setq in the .emacs,
>   whereas you changed it into an internal var.

It was always a defvar instead of a defcustom.  I don't think it makes
sense for it to be user-customizable.

> FWIW, here's the patch I was working on instead.

Is this patch complete?  By the time dir-locals-read-from-file is
called, hack-dir-local-variables has already decided that there is no
cached value.  Conversely, if there is a cached value, it will be used
without calling dir-locals-read-from-file.  So we need to change
dir-locals-find-file as well (which is what my patch did).